#![no_std]
#![no_main]

use panic_halt as _;

use riscv_rt::entry;
use gd32vf103xx_hal::{pac, prelude::*};
use gd32vf103xx_hal::delay::McycleDelay;
use embedded_hal::digital::v2::OutputPin;

#[entry]
fn main() -> ! {
    let dp = pac::Peripherals::take().unwrap();
    let mut rcu = dp.RCU.configure().freeze();

    let gpioa = dp.GPIOA.split(&mut rcu);
    let mut delay = McycleDelay::new(&rcu.clocks);

    let ledpin = gpioa.pa7;
    let mut led = ledpin.into_push_pull_output();

    loop {
        led.set_high();
        delay.delay_ms(500);
        led.set_low();
        delay.delay_ms(500);
        led.set_high();
        delay.delay_ms(200);
        led.set_low();
        delay.delay_ms(200);
    }
}